Public Attributes | List of all members
gus_c_handles_t Struct Reference
BLE Services » Goodix UART Service Client (GUS_C) » Structures

Handles on the connected peer device needed to interact with it. More...

`#include <gus_c.h>`

## Public Attributes
uint16_t | gus_srvc_start_handle
| GUS Service start handle. More...
uint16_t | gus_srvc_end_handle
| GUS Service end handle. More...
uint16_t | gus_tx_handle
| Handle of GUS Tx characteristic as provided by a discovery. More...
uint16_t | gus_tx_cccd_handle
| Handle of CCCD of GUS Tx characteristic as provided by a discovery. More...
uint16_t | gus_rx_handle
| Handle of GUS Rx characteristic as provided by a discovery. More...
uint16_t | gus_flow_ctrl_handle
| Handle of GUS Flow Control characteristic as provided by a discovery. More...
uint16_t | gus_flow_ctrl_cccd_handle
| Handle of CCCD of GUS Flow Control characteristic as provided by a discovery. More...

## Detailed Description

Handles on the connected peer device needed to interact with it.

Definition at line 118 of file gus_c.h.

## Member Data Documentation

## ◆ gus_flow_ctrl_cccd_handle

uint16_t gus_c_handles_t::gus_flow_ctrl_cccd_handle

Handle of CCCD of GUS Flow Control characteristic as provided by a discovery.

Definition at line 126 of file gus_c.h.

## ◆ gus_flow_ctrl_handle

uint16_t gus_c_handles_t::gus_flow_ctrl_handle

Handle of GUS Flow Control characteristic as provided by a discovery.

Definition at line 125 of file gus_c.h.

## ◆ gus_rx_handle

uint16_t gus_c_handles_t::gus_rx_handle

Handle of GUS Rx characteristic as provided by a discovery.

Definition at line 124 of file gus_c.h.

## ◆ gus_srvc_end_handle

uint16_t gus_c_handles_t::gus_srvc_end_handle

GUS Service end handle.

Definition at line 121 of file gus_c.h.

## ◆ gus_srvc_start_handle

uint16_t gus_c_handles_t::gus_srvc_start_handle

GUS Service start handle.

Definition at line 120 of file gus_c.h.

## ◆ gus_tx_cccd_handle

uint16_t gus_c_handles_t::gus_tx_cccd_handle

Handle of CCCD of GUS Tx characteristic as provided by a discovery.

Definition at line 123 of file gus_c.h.

## ◆ gus_tx_handle

uint16_t gus_c_handles_t::gus_tx_handle

Handle of GUS Tx characteristic as provided by a discovery.

Definition at line 122 of file gus_c.h.

The documentation for this struct was generated from the following files:

- gus_c.h
- mlmr_c.h